Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoTransform Class Reference
GoSdk

## Description

Represents a sensor transformation.

Inheritance diagram for GoTransform:

## Public Member Functions
k64f | GoTransform_EncoderResolution (GoTransform transform)
| Gets the encoder resolution. More...
kStatus | GoTransform_SetEncoderResolution (GoTransform transform, k64f value)
| Sets the encoder resolution. More...
kStatus | GoTransform_SetSpeed (GoTransform transform, k64f value)
| Sets the travel speed. More...
kStatus | GoTransform_SetX (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation X component. More...
kStatus | GoTransform_SetXAngle (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation X-angle. More...
kStatus | GoTransform_SetY (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Y component. More...
kStatus | GoTransform_SetYAngle (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Y-angle. More...
kStatus | GoTransform_SetZ (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Z component. More...
kStatus | GoTransform_SetZAngle (GoTransform transform, GoRole role, k64f offset)
| Sets the transformation Z-angle. More...
k64f | GoTransform_Speed (GoTransform transform)
| Gets the travel speed. More...
k64f | GoTransform_X (GoTransform transform, GoRole role)
| Gets the X component of the transformation. More...
k64f | GoTransform_XAngle (GoTransform transform, GoRole role)
| Gets the X-angle of the transformation. More...
k64f | GoTransform_Y (GoTransform transform, GoRole role)
| Gets the Y component of the transformation. More...
k64f | GoTransform_YAngle (GoTransform transform, GoRole role)
| Gets the Y-angle of the transformation. More...
k64f | GoTransform_Z (GoTransform transform, GoRole role)
| Gets the Z component of the transformation. More...
k64f | GoTransform_ZAngle (GoTransform transform, GoRole role)
| Gets the Z-angle of the transformation. More...

The documentation for this class was generated from the following file:

- GoTransform.h